%define  patch_name kernel-fix-drivers-video

Name: %patch_name
Version: 2006.10.24
Release: alt1

Summary: %patch_name kernel patch - Linux video drivers fixes
License: GPL
Group: Development/Other
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%source 2400	2.4_00_module_license.patch		2.4
%source 2401	2.4_01_vesafb-override-sizes.patch	2.4
%source 2402	2.4_02_vesafb-limit.patch		2.4

%source 2600	2.6_00_i810fb_cursor-gfp_atomic.patch			2.6
%source 2601	2.6_01_fbcon-big-endian-bogosity.patch			2.6
%source 2602	2.6_02_fbdev-fb_write-return-value.patch		2.6
%source 2603	2.6_03-fbdev-add-1680x1050-60.patch			2.6

BuildArch: noarch
BuildRequires: kernel-build-tools

%description
Linux video drivers fixes

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Tue Oct 24 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.10.24-alt1
- Added patches for 2.6.16:
  + 2.6_03-fbdev-add-1680x1050-60.patch: fbdev: add modeline for 1680x1050@60

* Sun Apr 23 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.04.23-alt1
- Added:
  + 2.6_02_fbdev-fb_write-return-value.patch: fbdev: fix return error of
    fb_write

* Wed Apr 12 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.04.12-alt1
- Added:
  + 2.6_01_fbcon-big-endian-bogosity.patch: fbcon: fix big-endian bogosity in
    slow_imageblit()

* Sat Mar 25 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.03.25-alt1
- Updated for kernel 2.6.16.
- Added:
  + 2.6_00_i810fb_cursor-gfp_atomic.patch: i810fb_cursor(): use GFP_ATOMIC

* Wed Nov 30 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.11.30-alt1
- Updated for kernel 2.6.14.
- Removed obsolete patches:
  - 2.6_00_intelfb-name-fix.patch

* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.02-alt1
- Updated for kernel 2.6.12.
- Removed obsolete patches:
  - 2.6_01_intelfb-oops.patch

* Fri May 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.13-alt1
- Renamed patches with 2.4_/2.6_ prefixes.
- Added patches for 2.6:
  + 2.6_00_intelfb-name-fix.patch: fix bad PCI driver name in intelfb
  + 2.6_01_intelfb-oops.patch: fix oops in intelfb due to __initdata marking of
    module parameters

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.10.17-alt1
- Updated for kernel 2.4.27.
- Removed obsolete patches:
   - 03_rivafb-top-line-fix.patch
   - 04_rivafb-16bpp-fix.patch

* Sun May 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.09-alt1
- Updated for kernel 2.4.26.
- Removed obsolete patches:
  - 03_radeonfb-Ya-Yd.patch
- Added:
  + 03_rivafb-top-line-fix.patch: fix blue line in nVidia framebuffer (rivafb)
  + 04_rivafb-16bpp-fix.patch: rivafb 16bpp text background colour fix

* Thu Mar 18 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.18-alt1
- Added:
  + 03_radeonfb-Ya-Yd.patch: add support for Radeon 9200 (Ya) and 9200 SE (Yd)
    in radeonfb

* Sun Dec 07 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.07-alt1
- Added:
  + 02_vesafb-limit.patch: limit vesafb video memory size to 16M to avoid
    running out of kernel address space (it is possible to override this limit
    with the 'vram' parameter if needed).

* Sun Oct 19 2003 Alexander Bokovoy <ab@altlinux.ru> 2003.10.19-alt1
- added 01_vesafb-override-sizes.patch: allow to override logical screen resolution
  with 'video=vesa:height:<VALUE>,width:<VALUE>' boot parameter

* Tue Sep 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.16-alt1
- added 00_module_license.patch: add missing MODULE_LICENSE

* Mon Sep 01 2003 Rider <rider@altlinux.ru> 2003.09.01-alt1
- removed intelfb-makefile-fix patch (mainstream, 2.4.22)

* Tue Jul 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.07.15-alt1
- added:
  + intelfb-makefile-fix - fixed building intelfb module.
